Integrating with an Identity Provider enables single sign on and auto-assignment for Access Reviews.
"auth_provider_type": "SSO_AUTH_PROVIDER""auth_provider_implementation": "OIDC""enabled": true{
"auth_providers": [
{
"id": "2017389d-a2e1-4849-a596-c1a1bd308fbc",
"auth_provider_type": "SAML_AUTH_PROVIDER",
"enabled": true,
"name": "SAML SSO"
}
]
}{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "cf9bab40-4e48-4afc-a310-acfdad416233",
"user_type": "OktaUser",
"instance_id": "dev-5150036.okta.com",
"user_identity_property": "idp_unique_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "manager_idp_unique_id"
}
}
}{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "<AUTH_PROVIDER_ID>",
"user_type": "OktaUser",
"instance_id": "dev-5150036.okta.com",
"user_identity_property": "idp_unique_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "manager_idp_unique_id"
}
}
}{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "<AUTH_PROVIDER_ID>",
"user_type": "AzureADUser",
"instance_id": "d5d23474-d857-4e12-bf68-75d638867e93",
"user_identity_property": "idp_unique_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "manager_idp_unique_id"
}
}
}{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "<AUTH_PROVIDER_ID>",
"user_type": "CustomIDPUser",
"instance_id": "aa650cf7-2370-406e-bb35-1a8e14b92919",
"user_identity_property": "idp_unique_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "manager_idp_unique_id"
}
}
}customprop_manager_employee_number{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "87549440-ef3d-4f8c-a3d8-ed1569a79ed6",
"user_type": "OktaUser",
"instance_id": "instance.okta.com",
"user_identity_property": "employee_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "x_manager_id"
},
"alternate_manager_lookup_settings": [
{
"user_type": "OAA.Oracle HCM.HRISEmployee",
"instance_id": "05bbc13d-bf25-45f2-ba09-03e5625a3b66",
"user_identity_property": "employee_number",
"instance_id_property": "datasource_id",
"manager_identity_property": "managers"
},
{
"user_type": "OAA.Contractors.IDPUser",
"instance_id": "9fb32fc1-4db2-4ac6-9ab1-b5c24836ddd4",
"user_identity_property": "idp_unique_id",
"instance_id_property": "datasource_id",
"manager_identity_property": "customprop_manager_employee_number"
}
]
}
}Veza API key for authentication. Generate keys in Administration > API Keys.
OK
Default error response
Veza API key for authentication. Generate keys in Administration > API Keys.
OK
Default error response
{}PUT /api/private/workflows/access/global_settings/idp_settings HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 564
{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "text",
"user_type": "text",
"instance_id": "text",
"user_identity_property": "text",
"instance_id_property": "text",
"manager_identity_property": "text",
"active_user_conditions": [
{
"fn": 0,
"property": "email",
"value": null,
"not": false,
"value_property_name": "text",
"value_property_from_other_node": true,
"source_property": "text"
}
],
"idp_type": "text"
},
"alternate_manager_lookup_settings": [
{
"user_type": "text",
"instance_id": "text",
"user_identity_property": "text",
"instance_id_property": "text",
"manager_identity_property": "text"
}
]
}
}GET /api/private/workflows/access/global_settings/idp_settings HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"value": {
"enabled": true,
"idp": {
"auth_provider_id": "text",
"user_type": "text",
"instance_id": "text",
"user_identity_property": "text",
"instance_id_property": "text",
"manager_identity_property": "text",
"active_user_conditions": [
{
"fn": 0,
"property": "email",
"value": null,
"not": false,
"value_property_name": "text",
"value_property_from_other_node": true,
"source_property": "text"
}
],
"idp_type": "text"
},
"alternate_manager_lookup_settings": [
{
"user_type": "text",
"instance_id": "text",
"user_identity_property": "text",
"instance_id_property": "text",
"manager_identity_property": "text"
}
]
}
}